curl --request GET \
--url https://api.copper.co/platform/clearloop/settlements/{settlementId}import requests
url = "https://api.copper.co/platform/clearloop/settlements/{settlementId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.copper.co/platform/clearloop/settlements/{settlementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cycleStartTimestamp": "<string>",
"exchange": "<string>",
"exchangeId": "<string>",
"settlementId": "<string>",
"settlementStatus": "new",
"settlementSubStatus": "started",
"completedAt": "<string>",
"createdAt": "<string>",
"custodian": "<string>",
"cycleEndTimestamp": "<string>",
"deadline": "<string>",
"failureReason": "<string>",
"settlementDetails": [
{
"clientAccountId": "<string>",
"exchangeSettlementId": "<string>",
"portfolioId": "<string>",
"settlementInstructions": [
{
"currency": "<string>",
"settlementAmount": "<string>",
"balance": "<string>",
"orderId": "<string>",
"orderStatus": "new",
"settlementAmountUSD": "<string>",
"settlementInstructionId": "<string>",
"status": "new"
}
],
"exclusionDetails": {
"exclusionReason": "<string>",
"exclusionSettlementId": "<string>"
},
"organizationId": "<string>",
"pnlAttributionEndTimestamp": "<string>",
"pnlAttributionStartTimestamp": "<string>",
"status": "new"
}
]
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}Get ClearLoop Settlement by ID
Path Parameters
Response
OK
Unix timestamp (in milliseconds) of the date and time when the settlement cycle has started
Exchange name
Exchange identifier
Unique Copper settlement identifier
Status describing the settlement. See details
new, pending-exchange-confirmation, in-progress, post-pnl-fetch, completed, failed, skipped, cancelled, partially-completed, ignored, pre-pnl-fetch, trading-account-order-execution-completed, on-chain-orders-in-progress, pre-termination, under-review, pending-settlements-check, excluded Sub-status providing additional context to the status of the settlement. See details
started, in-progress, completed, failed, exchange-api-failure, waiting-exchange-calculation, insufficient-collateral, negative-balances, client-loss-greater-than-delegated, pending-previous-settlement, copper-order-flow-failed, pending-order-processing, pending-order-creation, pending-delegations, pending-exchange-notification, paused, waiting-funds, settlement-not-complete-within-cycle-time, manual-resolving, partially-completed Unix timestamp (in milliseconds) of the date and time when the settlement was fully completed
Unix timestamp (in milliseconds) of the date and time when the settlement started
Custodian associated to settlement
Unix timestamp (in milliseconds) of the date and time when the settlement cycle has ended
Unix timestamp (in milliseconds) of the settlement deadline
Array of settlement detail records for each client account linked to a given settlement ID
Show child attributes
Show child attributes
Was this page helpful?